"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserManager = void 0;
const types_1 = require("@ifunny/ifunny-api-types/types");
const CachedManager_1 = require("./CachedManager");
const User_1 = require("../structures/User");
class UserManager extends CachedManager_1.CachedManager {
    constructor(client) {
        super(client, User_1.User);
    }
    /**
     * @param id Id of the user
     * @param byNick Whether to lookup by nick
     * @param cached Whater to return the cached result
     * @returns
     */
    async fetch(id, byNick = false, cached = true) {
        let user;
        if (cached)
            user = this.resolve(id);
        let { data } = await this.client.instance.request({
            url: types_1.Endpoints.user(id, byNick),
        });
        if (!data)
            return data;
        user = new User_1.User(this.client, data.data.id, data.data);
        super.cache.set(user.id, user);
        return user;
    }
}
exports.UserManager = UserManager;
//# sourceMappingURL=UserManager.js.map