import { RESTAPIErrorResponse as APIError, RESTAPIErrorCaptchaRequired as CaptchaError } from "@ifunny/ifunny-api-types";
import { iFunnyErrorCodes } from "./iFunnyErrorCodes";
export declare function handleAPIError(error: APIError): {
    "__#1@#_code": iFunnyErrorCodes;
    readonly code: iFunnyErrorCodes;
    readonly error: string;
    readonly name: string;
    createMessage<K extends iFunnyErrorCodes>(code: K, ...args: {
        0: (error: any) => string;
        1: (action?: string | undefined) => string;
        2: (description?: string | undefined) => string;
        3: (description?: string | undefined) => string;
        4: (message: string) => string;
        5: (tokenType?: string | undefined) => string;
        6: (token?: string | undefined) => string;
        7: (token?: string | undefined) => string;
        8: (description?: string | undefined) => string;
        9: (data: CaptchaError) => string;
        10: (user?: string | undefined) => string;
        11: (user?: string | undefined) => string;
    }[K] extends (...args: any[]) => string ? Parameters<{
        0: (error: any) => string;
        1: (action?: string | undefined) => string;
        2: (description?: string | undefined) => string;
        3: (description?: string | undefined) => string;
        4: (message: string) => string;
        5: (tokenType?: string | undefined) => string;
        6: (token?: string | undefined) => string;
        7: (token?: string | undefined) => string;
        8: (description?: string | undefined) => string;
        9: (data: CaptchaError) => string;
        10: (user?: string | undefined) => string;
        11: (user?: string | undefined) => string;
    }[K]> : any[]): string;
    message: string;
    stack?: string | undefined;
} | null;
/**
 *
 * @param error Error to handle
 * @returns `null` or custom iFunnyError
 */
export declare function handleError(error: unknown): {
    "__#1@#_code": iFunnyErrorCodes;
    readonly code: iFunnyErrorCodes;
    readonly error: string;
    readonly name: string;
    createMessage<K extends iFunnyErrorCodes>(code: K, ...args: {
        0: (error: any) => string;
        1: (action?: string | undefined) => string;
        2: (description?: string | undefined) => string;
        3: (description?: string | undefined) => string;
        4: (message: string) => string;
        5: (tokenType?: string | undefined) => string;
        6: (token?: string | undefined) => string;
        7: (token?: string | undefined) => string;
        8: (description?: string | undefined) => string;
        9: (data: CaptchaError) => string;
        10: (user?: string | undefined) => string;
        11: (user?: string | undefined) => string;
    }[K] extends (...args: any[]) => string ? Parameters<{
        0: (error: any) => string;
        1: (action?: string | undefined) => string;
        2: (description?: string | undefined) => string;
        3: (description?: string | undefined) => string;
        4: (message: string) => string;
        5: (tokenType?: string | undefined) => string;
        6: (token?: string | undefined) => string;
        7: (token?: string | undefined) => string;
        8: (description?: string | undefined) => string;
        9: (data: CaptchaError) => string;
        10: (user?: string | undefined) => string;
        11: (user?: string | undefined) => string;
    }[K]> : any[]): string;
    message: string;
    stack?: string | undefined;
} | null;
//# sourceMappingURL=ErrorHandler.d.ts.map